Yapper Docs
Api reference
GET
/elements

The workspace's elements, newest first. Filter by category, by a session (project) the element was made or used in, or search by @ID, name or description. A session-scoped search returns one page.

Authorization

bearerAuth assets:read
AuthorizationBearer <token>

In: header

Scope: assets:read

Query Parameters

category?string

Value in

  • "character"
  • "location"
  • "prop"
sessionId?string
query?string
limit?integer
Range1 <= value <= 100
Default20
cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/elements"
{  "data": [    {      "id": "string",      "mentionId": "string",      "tag": "string",      "name": "string",      "category": "character",      "description": "string",      "mainImage": {        "id": "string",        "type": "image",        "url": "string",        "width": 0,        "height": 0,        "name": "string",        "tag": "string",        "webUrl": "http://example.com"      },      "images": [        {          "id": "string",          "type": "image",          "url": "string",          "width": 0,          "height": 0,          "name": "string",          "tag": "string",          "webUrl": "http://example.com"        }      ],      "usable": true,      "createdByUserId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "lastUsedAt": "2019-08-24T14:15:22Z",      "webUrl": "http://example.com",      "links": {        "self": "string"      }    }  ],  "nextCursor": "string"}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}